/* Loader Style */
.load__wrapper {
  height: 100vh;
  z-index: 9999 !important;
  overflow: hidden;
}

.load__wrapper {
  position: absolute;
  width: 100%;
  /* height: 100%; */
  background: #030403;
  /* overflow: hidden; */
}

.loading-bar {
  width: 250px;
  height: 6px;
  background: #e8e9f3;
  margin-top: 22px;
  position: relative;
  top: 50%;
  left: 40%;
  overflow: hidden;
}

.loading-bar::before {
  content: "";
  width: 125px;
  height: 8px;
  background: linear-gradient(
    to right,
    rgb(76, 217, 100),
    rgb(90, 200, 250),
    rgb(0, 122, 255),
    rgb(52, 170, 220),
    rgb(88, 86, 214),
    rgb(255, 45, 85)
  );
  position: absolute;
  left: -34px;
  animation: pinkbar 4s infinite ease;
}

@keyframes pinkbar {
  50% {
    left: 196px;
  }
}

.wrap {
  position: Absolute;
  width: 100px;
  height: 100px;
  left: 50%;
  top: 50%;
  margin-top: -50px;
  margin-left: -50px;
  transform: scale(2);
}
.wrap .overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 100;
  box-shadow: 0 0 25px 38.46153846153846px #030403 inset;
}
.wrap .cogWheel {
  position: Absolute;
  top: 50%;
  margin-top: -25px;
  width: 50px;
  height: 50px;
}
.wrap .cogWheel.one {
  left: -6.25px;
  -webkit-animation: rotLeft 1s infinite linear;
}
.wrap .cogWheel.one .one:before {
  border: none;
}
.wrap .cogWheel.two {
  right: -6.25px;
  margin-top: -23.80952380952381px;
  transform: rotate(196deg);
  -webkit-animation: rotRight 1s infinite linear;
}
.wrap .cogWheel.two .one:before {
  border: none;
}
.wrap .cogWheel .cog {
  position: absolute;
  width: 100%;
  left: 0;
  top: 50%;
}
.wrap .cogWheel .cog:after {
  display: block;
  position: absolute;
  content: " ";
  border: 2px solid #fff;
  border-left: none;
  height: 8.620689655172415px;
  width: 5px;
  right: -8.620689655172415px;
  top: -4.310344827586207px;
}
.wrap .cogWheel .cog:before {
  display: block;
  position: absolute;
  content: " ";
  border-left: 2px solid #fff;
  height: 10px;
  width: 4.166666666666667px;
  right: -5.555555555555555px;
  top: -12.5px;
  transform: rotate(-20deg);
}
.wrap .cogWheel .cog.one {
  transform: rotate(-80deg);
}
.wrap .cogWheel .cog.two {
  transform: rotate(-40deg);
}
.wrap .cogWheel .cog.three {
  transform: rotate(0deg);
}
.wrap .cogWheel .cog.four {
  transform: rotate(40deg);
}
.wrap .cogWheel .cog.five {
  transform: rotate(80deg);
}
@-moz-keyframes rotLeft {
  from {
    transform: rotate(-30deg);
  }
  to {
    transform: rotate(10deg);
  }
}
@-webkit-keyframes rotLeft {
  from {
    transform: rotate(-30deg);
  }
  to {
    transform: rotate(10deg);
  }
}
@-o-keyframes rotLeft {
  from {
    transform: rotate(-30deg);
  }
  to {
    transform: rotate(10deg);
  }
}
@keyframes rotLeft {
  from {
    transform: rotate(-30deg);
  }
  to {
    transform: rotate(10deg);
  }
}
@-moz-keyframes rotRight {
  from {
    transform: rotate(-174deg);
  }
  to {
    transform: rotate(-214deg);
  }
}
@-webkit-keyframes rotRight {
  from {
    transform: rotate(-174deg);
  }
  to {
    transform: rotate(-214deg);
  }
}
@-o-keyframes rotRight {
  from {
    transform: rotate(-174deg);
  }
  to {
    transform: rotate(-214deg);
  }
}
@keyframes rotRight {
  from {
    transform: rotate(-174deg);
  }
  to {
    transform: rotate(-214deg);
  }
}
